MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027969Open CASCADE[OCCT] OCCT:Visualizationpublic2016-10-14 18:532016-12-09 16:38
Reportervpa 
Assigned Toapn 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027969: Visualization - add interfaces to access selecting volumes from SelectMgr_SelectingVolumeManager
DescriptionIt is necessary to have an interface to access current selecting volume for complex objects that are calculated during rendering.
Steps To ReproduceN / A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0058748)
git (administrator)
2016-10-14 20:00

Branch CR27969 has been created by vpa.

SHA-1: f186fd255763d23a5b1bfb783d8474c3ee3a2fba


Detailed log of new commits:

Author: vpa
Date: Fri Oct 14 19:57:31 2016 +0300

    0027969: Visualization - add interfaces to access selecting volumes from SelectMgr_SelectingVolumeManager
    
    - getter for selection frustum computed during last run of selection mechanism was added to SelectMgr_SelectingVolumeManager
(0058749)
vpa (developer)
2016-10-14 20:00

Dear Kirill,

please review patch from branch CR27969.
(0058750)
kgv (developer)
2016-10-14 20:05

+  Standard_EXPORT Handle(SelectMgr_BaseFrustum) ActiveVolume() const

Erroneous Standard_EXPORT within inline method.
(0058751)
git (administrator)
2016-10-14 20:18

Branch CR27969 has been updated forcibly by vpa.

SHA-1: 3829fe7eec1475b457fbd48b65d45883a7561adb
(0058752)
vpa (developer)
2016-10-14 20:19

Dear Kirill,

the branch CR27969 was updated according to your remark. Please review.
(0058753)
kgv (developer)
2016-10-14 20:21

Please check compilation, regression testing is not needed.
(0058787)
mkv (tester)
2016-10-17 13:13

Dear BugMaster,
Branch CR27969 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: 3829fe7eec1475b457fbd48b65d45883a7561adb

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1134
(0058788)
mkv (tester)
2016-10-17 13:13

Dear BugMaster,
Branch CR27969 is TESTED.
(0058865)
git (administrator)
2016-10-18 18:35

Branch CR27969_1 has been created by vpa.

SHA-1: 74ee0c4a53768b5a1b3d99f54478a3310f0c7b9e


Detailed log of new commits:

Author: vpa
Date: Tue Oct 18 18:31:26 2016 +0300

    0027969: Visualization - add interfaces to access selecting volumes from SelectMgr_SelectingVolumeManager
    
    - getter for selection frustum computed during last run of selection mechanism was added to SelectMgr_SelectingVolumeManager;
    - getters for frustum planes were added to SelectMgr_BaseFrustum and its successors.
(0058867)
git (administrator)
2016-10-18 19:52

Branch CR27969_1 has been updated forcibly by vpa.

SHA-1: a19e9a783c67c73bb2f53fa1f4083126728b134a
(0058905)
git (administrator)
2016-10-19 19:13

Branch CR27969_1 has been updated forcibly by vpa.

SHA-1: d44ef50f97a808cba45f2a56bdd1e3a86264ad66
(0058906)
vpa (developer)
2016-10-19 19:14

Dear Kirill,

please review patch in branch CR27969_1.
(0058917)
kgv (developer)
2016-10-20 12:43

Please check compilation, regression testing is not needed.
(0058935)
git (administrator)
2016-10-20 18:28

Branch CR27969_1 has been updated forcibly by mkv.

SHA-1: 544c10addd9c1d81ac5a2b9608b3d34dce6c3cee
(0058969)
git (administrator)
2016-10-21 14:57

Branch CR27969_1 has been updated forcibly by mkv.

SHA-1: c5a8c0077d12e32606dd2bc0edec33010cabb497
(0059019)
mkv (tester)
2016-10-24 14:35

Dear BugMaster,
Branch CR27969_1 was rebased on current master of occt git-repository.
SHA-1: c5a8c0077d12e32606dd2bc0edec33010cabb497
(0059020)
mkv (tester)
2016-10-24 14:35

Dear BugMaster,
Branch CR27969_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms on Release mode.
SHA-1: c5a8c0077d12e32606dd2bc0edec33010cabb497

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1156
(0059021)
mkv (tester)
2016-10-24 14:35

Dear BugMaster,
Branch CR27969_1 is TESTED.
(0059417)
git (administrator)
2016-10-28 21:37

Branch CR27969_1 has been deleted by kgv.

SHA-1: c5a8c0077d12e32606dd2bc0edec33010cabb497
(0059478)
git (administrator)
2016-10-28 21:42

Branch CR27969 has been deleted by kgv.

SHA-1: 3829fe7eec1475b457fbd48b65d45883a7561adb

- Related Changesets
occt: master 871dcdc2
Timestamp: 2016-10-19 16:11:23
Author: vpa
Committer: apn
Details ] Diff ]
0027969: Visualization - add interfaces to access selecting volumes from SelectMgr_SelectingVolumeManager

- getter for selection frustum computed during last run of selection mechanism was added to SelectMgr_SelectingVolumeManager;
- getters for frustum planes were added to SelectMgr_BaseFrustum and its successors;
- an API for applications to get frustum planes was added to SelectBasics_SelectingVolumeManager.
mod - src/SelectBasics/SelectBasics_SelectingVolumeManager.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_BaseFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_RectangularFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_TriangularFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_TriangularFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_TriangularFrustumSet.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_TriangularFrustumSet.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-14 18:53 vpa New Issue
2016-10-14 18:53 vpa Assigned To => kgv
2016-10-14 18:53 vpa Assigned To kgv => vpa
2016-10-14 18:53 vpa Status new => assigned
2016-10-14 20:00 git Note Added: 0058748
2016-10-14 20:00 vpa Note Added: 0058749
2016-10-14 20:00 vpa Assigned To vpa => kgv
2016-10-14 20:00 vpa Status assigned => resolved
2016-10-14 20:05 kgv Note Added: 0058750
2016-10-14 20:05 kgv Assigned To kgv => vpa
2016-10-14 20:05 kgv Status resolved => assigned
2016-10-14 20:05 kgv Severity feature => integration request
2016-10-14 20:05 kgv Product Version Unscheduled =>
2016-10-14 20:18 git Note Added: 0058751
2016-10-14 20:19 vpa Note Added: 0058752
2016-10-14 20:19 vpa Assigned To vpa => kgv
2016-10-14 20:19 vpa Status assigned => resolved
2016-10-14 20:21 kgv Note Added: 0058753
2016-10-14 20:21 kgv Assigned To kgv => bugmaster
2016-10-14 20:21 kgv Severity integration request => tweak
2016-10-14 20:21 kgv Status resolved => reviewed
2016-10-17 11:01 mkv Assigned To bugmaster => mkv
2016-10-17 13:13 mkv Note Added: 0058787
2016-10-17 13:13 mkv Note Added: 0058788
2016-10-17 13:13 mkv Assigned To mkv => bugmaster
2016-10-17 13:13 mkv Status reviewed => tested
2016-10-17 13:13 mkv Test case number => Not needed
2016-10-18 18:35 git Note Added: 0058865
2016-10-18 18:36 vpa Assigned To bugmaster => vpa
2016-10-18 18:36 vpa Status tested => assigned
2016-10-18 19:52 git Note Added: 0058867
2016-10-19 19:13 git Note Added: 0058905
2016-10-19 19:14 vpa Note Added: 0058906
2016-10-19 19:14 vpa Assigned To vpa => kgv
2016-10-19 19:14 vpa Status assigned => resolved
2016-10-20 12:43 kgv Note Added: 0058917
2016-10-20 12:43 kgv Assigned To kgv => bugmaster
2016-10-20 12:43 kgv Status resolved => reviewed
2016-10-20 18:28 git Note Added: 0058935
2016-10-20 18:28 mkv Assigned To bugmaster => mkv
2016-10-21 14:57 git Note Added: 0058969
2016-10-24 14:35 mkv Note Added: 0059019
2016-10-24 14:35 mkv Note Added: 0059020
2016-10-24 14:35 mkv Note Added: 0059021
2016-10-24 14:35 mkv Assigned To mkv => bugmaster
2016-10-24 14:35 mkv Status reviewed => tested
2016-10-28 14:35 apn Changeset attached => occt master 871dcdc2
2016-10-28 14:35 apn Assigned To bugmaster => apn
2016-10-28 14:35 apn Status tested => verified
2016-10-28 14:35 apn Resolution open => fixed
2016-10-28 21:37 git Note Added: 0059417
2016-10-28 21:42 git Note Added: 0059478
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker